Apache log4cxx: LocationInfoFilter Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LocationInfoFilter Class Reference

Inherits Filter.

List of all members.

## Detailed Description

Location information is usually specified at the appender level - all events associated with an appender either create and parse stack traces or they do not.

This is an expensive operation and in some cases not needed for all events associated with an appender.

This filter creates event-level location information only if the provided expression evaluates to true.

For information on expression syntax, see org.apache.log4j.rule.ExpressionRule

## Public Member Functions
| LocationInfoFilter ()
void | activateOptions (log4cxx::helpers::Pool &)
| Usually filters options become active when set.
void | setExpression (const LogString &expression)
LogString | getExpression () const
void | setConvertInFixToPostFix (bool convertInFixToPostFix)
bool | getConvertInFixToPostFix () const
FilterDecision | decide (const spi::LoggingEventPtr &event) const
| If this event does not already contain location information, evaluate the event against the expression.

## Constructor & Destructor Documentation

LocationInfoFilter | ( |  | ) |

## Member Function Documentation

void activateOptions | ( | log4cxx::helpers::Pool & |  | ) | `[virtual]`

| Usually filters options become active when set. We provide a default do-nothing implementation for convenience. Reimplemented from Filter.

FilterDecision decide | ( | const spi::LoggingEventPtr & | event | ) | const`[virtual]`

| If this event does not already contain location information, evaluate the event against the expression. If the expression evaluates to true, generate a LocationInfo instance by creating an exception and set this LocationInfo on the event. Returns log4cxx::spi::Filter#NEUTRAL Implements Filter.

bool getConvertInFixToPostFix | ( |  | ) | const

LogString getExpression | ( |  | ) | const

void setConvertInFixToPostFix | ( | bool | convertInFixToPostFix | ) |

void setExpression | ( | const LogString & | expression | ) |

The documentation for this class was generated from the following file:

- locationinfofilter.h